Get a histogram of log counts over time, bucketed for charting.
GET
/logs/timeline
const url = 'https://api.siteqwality.com/logs/timeline';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/logs/timeline \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Time-bucketed log counts
Media type application/json
object
buckets
required
Array<object>
object
time
required
string
total
required
integer format: int64
error
required
integer format: int64
warn
required
integer format: int64
info
required
integer format: int64
debug
required
integer format: int64
interval_seconds
required
integer format: int64
Example generated
{ "buckets": [ { "time": "example", "total": 1, "error": 1, "warn": 1, "info": 1, "debug": 1 } ], "interval_seconds": 1}Missing or invalid authentication
Internal server error